## budgie-session 0.9.1

=== meson_options.txt ===
option('deprecation_flags', type: 'boolean', value: false, description: 'use *_DISABLE_DEPRECATED flags')
option('session_selector', type: 'boolean', value: false, description: 'enable building a custom session selector dialog')
option('systemd', type: 'boolean', value: true, description: 'Use systemd')
option('systemd_session', type: 'combo', choices: ['disable', 'enable', 'default'], value: 'disable', description: 'Whether to include systemd session support and use it by default')
option('systemd_journal', type: 'boolean', value:'true', description: 'Send log to systemd-journal')
option('systemduserunitdir', type: 'string', description: 'Directory for systemd user service files')
option('consolekit', type: 'boolean', value: false, description: 'Use consolekit')
option('docbook', type: 'boolean', value: false, description: 'build documentation')
option('man', type: 'boolean', value: true, description: 'build documentation (requires xmlto)')

=== debian/changelog ===
budgie-session (0.9.1-3) unstable; urgency=medium

  * Packaging Change
    - add B/D on systemd-dev (Closes: #1065387)

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 05 Jun 2024 07:52:43 +0100

budgie-session (0.9.1-2) unstable; urgency=medium

  * Packaging Change
    - Remove B/D on systemd (Closes: #1065387)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 03 Mar 2024 17:31:21 +0000

budgie-session (0.9.1-1) unstable; urgency=medium

  * Initial Release (Closes: #1058891)

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 04 Jan 2024 21:35:51 +0000

=== debian/control ===
Source: budgie-session
Section: misc
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 libdbus-1-dev,
 libgl-dev,
 libgles-dev,
 libglib2.0-dev (>= 2.46.0),
 libgnome-desktop-3-dev (>= 3.34.2),
 libgtk-3-dev (>= 3.22.0),
 libice-dev,
 libjson-glib-dev (>= 0.10),
 libsm-dev,
 libsystemd-dev (>= 209) [linux-any],
 libx11-dev,
 libxau-dev,
 libxcomposite-dev,
 libxext-dev,
 libxrender-dev,
 libxt-dev,
 libxtst-dev,
 meson (>= 0.53.0),
 systemd-dev,
 xmlto,
 xsltproc,
 xtrans-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Git: https://github.com/ubuntubudgie/budgie-session -b debian
Vcs-Browser: https://github.com/ubuntubudgie/budgie-session/tree/debian
Homepage: https://github.com/buddiesofbudgie/budgie-session

Package: budgie-session
Architecture: any
Depends:
 default-dbus-session-bus | dbus-session-bus,
 gsettings-desktop-schemas,
 upower,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: default-logind [linux-any] | logind [linux-any]
Description: Budgie Session Manager
 The Budgie Session Manager is in charge of starting the core components
 of the Budgie Desktop.
 .
 This package contains the translations and data files
 which are required for a budgie desktop session.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

ifeq (linux,$(DEB_HOST_ARCH_OS))
CONFFLAGS = -Dsystemd=true -Dsystemd_journal=true
else
CONFFLAGS = -Dsystemd=false -Dsystemd_journal=false
endif

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr \
		$(CONFFLAGS)

## budgie-session 1.0.0~preview.1

=== debian/changelog ===
budgie-session (1.0.0~preview.1-0ubuntu1) resolute; urgency=medium

  * New upstream release

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 25 Nov 2025 20:22:54 +0000

## budgie-session 1.0.0~preview.2

=== debian/changelog ===
budgie-session (1.0.0~preview.2-1) experimental; urgency=medium

  * New upstream release
    - helper executable budgie-session-compositor-ready for startup
      of wlroots compositors
    - autostart file location is now /usr/share/budgie-desktop/autostart

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 19 Dec 2025 22:30:20 +0000

## budgie-session 1.0.0

=== debian/changelog ===
budgie-session (1.0.0-1) experimental; urgency=medium

  * New upstream release
    - upstream has marked this as stable

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 10 Jan 2026 19:50:47 +0000

## budgie-session 1.0.1

=== debian/changelog ===
budgie-session (1.0.1-1) experimental; urgency=medium

  * New upstream release
    - fix potential whole desktop crashes due to apps calling the idle
      dbus with invalid values
  * Packaging changes
    - d/control Bump StandardsVersion; no additional changes required
    - d/copyright Update debian copyright year

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 21 Feb 2026 19:25:25 +0000

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  xsltproc,
  xtrans-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://github.com/ubuntubudgie/budgie-session -b debian
 Vcs-Browser: https://github.com/ubuntubudgie/budgie-session/tree/debian
 Homepage: https://github.com/buddiesofbudgie/budgie-session
